<!DOCTYPE html>
<html lang="en">
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
      integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
      crossorigin="anonymous"
    />
  </head>

  <body onload=" onLoadPaging()">
    <div class="container jumbotron">
      <h1 class="text-center p-lg-1">Thông tin người dùng</h1>
      <div class="form-group">
        <label for="">First Name</label>
        <input type="text" class="form-control" id="input-first-name" />
      </div>
      <div class="form-group">
        <label for="">last Name</label>
        <input type="text" class="form-control" id="input-last-name" />
      </div>
      <div class="form-group">
        <label for="">Country</label>
        <input type="text" class="form-control" id="input-country" />
      </div>
      <div class="form-group">
        <label for="">subject</label>
        <textarea
          type="textarea"
          class="form-control"
          id="textarea-subject"
          cols="30"
          rows="10"
        ></textarea>
      </div>
      <div class="form-row">
        <div class="col">
          <button id="button-edit" class="btn btn-success w-50">Sửa</button>
        </div>
        <div class="col">
          <a class="nav justify-content-end" href="task29.60.html">Quay lạy<img src="" alt="" /></a>
        </div>
      </div>
    </div>
  </body>
  <script>
    function onLoadPaging() {
      // get data from query string
      debugger;
      var vUrlString = window.location.href; //đường đẫn gọi đến trang
      console.log(vUrlString);
      var vUrl = new URL(vUrlString);

      // get parameters
      var vFirstname = vUrl.searchParams.get("firstname");
      var vLastname = vUrl.searchParams.get("lastname");
      var vId = vUrl.searchParams.get("id");
      var vCountry = vUrl.searchParams.get("country");
      var vSubject = vUrl.searchParams.get("subject");
      var vCustomerType = vUrl.searchParams.get("customertype");
      var vRegisterStatus = vUrl.searchParams.get("registerStatus");

      // show on div result
      var vFirstnameData = document.getElementById("input-first-name");
      var vLastnameData = document.getElementById("input-last-name");
      var vCountryData = document.getElementById("input-country");
      var vSubjectData = document.getElementById("textarea-subject");
      vFirstnameData.value = vFirstname;
      vLastnameData.value = vLastname;
      vCountryData.value = vCountry;
      vSubjectData.value = vSubject;
    }
  </script>
</html>
